Index: frontend/src/Components/RestaurantEdit/MenuListing.js
===================================================================
--- frontend/src/Components/RestaurantEdit/MenuListing.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/RestaurantEdit/MenuListing.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -6,5 +6,4 @@
 import { AiOutlinePlusCircle } from "react-icons/ai"
 import EditModal from "../Resources/EditModal";
-import AddImages from "../Resources/AddImages";
 
 const MenuListing = (props) => {
@@ -13,5 +12,6 @@
     console.log(props.data)
     return(<>
-    <a href="#" style={{textDecoration: "none", color:"black"}}>
+    <a href="#" onClick={(e) => {e.preventDefault(); props.showModal(props.data);
+    console.log("kliknav")} } style={{textDecoration: "none", color:"black"}}>
         <Container className="py-3 px-1 my-4"
         style={{
@@ -23,9 +23,5 @@
             <Row>
                 <Col className="d-flex justify-content-center">
-                    <Image onClick={(e) => {
-                        e.preventDefault();
-                        props.showModal(props.data);
-                        console.log("kliknav")
-                    }}
+                    <Image
                     src="https://www.tasteofhome.com/wp-content/uploads/2019/01/medium-rare-steak-shutterstock_706040446.jpg"
                     style={{
@@ -41,7 +37,4 @@
                     <h6>{props.data.ingredients}</h6>
                 </Col>
-                <Col className="d-flex flex-column justify-content-center align-content-center">
-                    <AddImages type="menu" Id={props.data.menuId} />
-                </Col>
                 
                 <Col className="d-flex flex-column justify-content-center align-content-center">
Index: frontend/src/Components/RestaurantEdit/RestaurantEditTab.js
===================================================================
--- frontend/src/Components/RestaurantEdit/RestaurantEditTab.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/RestaurantEdit/RestaurantEditTab.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -10,6 +10,4 @@
 import TableListing from "./TableListing";
 import EditModal from "../Resources/EditModal";
-import ReservationListing from "../HotelEdit/ReservationListing";
-import useGet from "../Hooks/useGet";
 
 function RestaurantEditTab(props) {
@@ -37,12 +35,4 @@
     setActiveTab(eventKey);
   };
-
-  const {
-    data,
-    isLoading,
-    setData,
-    getData,
-    setChanged: dhanged
-  } = useGet(`/restaurant/${props.displayMenu.restaurantID}/reservations/active`)
 
   console.log(props.displayMenu.restaurantID)
@@ -110,10 +100,10 @@
               return <MenuListing key={menu.menuId} data={menu} showModal={showModal}/>
             })}
-            {activeTab === '/hotel' && <EditModal show={show} refresh={props.refresh} handleClose={handleClose} type="menu" menu={modalData}></EditModal>}
+            {activeTab === '/hotel' && <EditModal show={show} handleClose={handleClose} type="menu" menu={modalData}></EditModal>}
             <AddNew Id={props.displayMenu.restaurantID} refresh={props.refresh} type="menu"/>
           </Tab.Pane>
           <Tab.Pane eventKey="/masi">
            {props.displayMenu.tables.map((table) => {
-              return <TableListing key={table.tableId} refresh={props.refresh} showModal={showModal} handleClose={handleClose} data={table}/>
+              return <TableListing key={table.tableId} showModal={showModal} data={table}/>
             })}
             {activeTab === '/masi' && <EditModal show={show} handleClose={handleClose} refresh={props.refresh} type="table"
@@ -122,9 +112,5 @@
           </Tab.Pane>
           <Tab.Pane eventKey="/restaurant">
-            {!isLoading && data.map((res) => {
-              return (
-                  <ReservationListing type={'restaurant'} data={res}/>
-              )
-            })}
+            <AddNew type="restaurant"/>
           </Tab.Pane>
           <Tab.Pane eventKey="/transport">
Index: frontend/src/Components/RestaurantEdit/TableListing.js
===================================================================
--- frontend/src/Components/RestaurantEdit/TableListing.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/RestaurantEdit/TableListing.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -41,5 +41,5 @@
                 
                 <Col className="d-flex flex-column justify-content-center align-content-center">
-                  <AddAvailability type="table" refresh={props.refresh} closeModal={props.handleClose} table={props.data}/>
+                  <AddAvailability type="table" table={props.data}/>
                 </Col>
 
